# coding: utf-8
require "rubygems" unless defined?(Gem)

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'numru/dcl/version'

genwrapper_extfile = Dir::glob('ext/**/*.c')
genwrapper_libfile = Dir::glob('lib/**/*.rb')
filelist = `git ls-files | egrep -v '^GenWrapper|^.git|^ToDo'`.split("\n")
filelist.concat(genwrapper_extfile)
filelist.concat(genwrapper_libfile)
filelist.uniq!

Gem::Specification.new do |spec|
  spec.name          = "ruby-dcl-bigmem"
  spec.version       = NumRu::DCL::VERSION
  spec.authors     = ["T. Horinouchi", "K. Kuroi", "K. Goto"\
    ,"S. Nishizawa", "T. Koshiro",'GFD Dennou Club']
  spec.email       = ["eriko@gfd-dennou.org"]

  spec.summary     = %q{one-to-one interface to the DCL graphic library}
  spec.description = %q{RubyDCL is a ruby interface to the scientific graphic library DCL. It supports all the subroutines and functions in DCL on a one-to-one basis. }
  spec.homepage    = 'http://www.gfd-dennou.org/arch/ruby/products/ruby-dcl/' 
  spec.licenses       = ["BSD-2-Clause"]

  spec.files         = filelist
  spec.test_files    = spec.files.grep(%r{^demo/})
  spec.require_paths = ["ext","lib"]
  spec.extensions << "ext/numru/extconf.rb"

  spec.required_ruby_version = Gem::Requirement.new(">= 1.6")
  spec.add_runtime_dependency(%q<narray-bigmem>)
  spec.add_runtime_dependency(%q<narray_miss-bigmem>, [">= 0"])
  spec.add_development_dependency(%q<gtk2>, [">= 0"])
end
